[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: getting /lib/ld-linux.so.2 on a 64-bit f10 preview install?



Robert P. J. Day wrote:
>   long story short:  x86-64 f10 preview install on AMD64 laptop.
> install coldfire cross-compile toolchain, which immediately fails
> looking for /lib/ld-linux.so.2, which it obviously won't find since
> the system has /lib64/ld-2.9.so (along with various symlinks).
> 
>   solution?

Well, on F9,
$ yum whatprovides /lib/ld-linux.so.2
reports

glibc-2.8-8.i386 : The GNU libc libraries
Matched from:
Filename    : /lib/ld-linux.so.2



glibc-2.8-8.i686 : The GNU libc libraries
Matched from:
Filename    : /lib/ld-linux.so.2



glibc-2.8-3.i386 : The GNU libc libraries
Matched from:
Filename    : /lib/ld-linux.so.2



glibc-2.8-3.i686 : The GNU libc libraries
Matched from:
Filename    : /lib/ld-linux.so.2



glibc-2.8-8.i386 : The GNU libc libraries
Matched from:
Other       : Provides-match: /lib/ld-linux.so.2

I suspect that both the i686 and the i386 will work, and there will be
little difference between them. The i686 version may be *slightly*
faster (especially if you have multiple cores).

Hope this helps,

James.

-- 
E-mail:     james@ | "This was, apparently, beyond her ken.
aprilcottage.co.uk | So far beyond her ken that she was well into barbie
                   | territory."
                   |     -- J. D.  Baldwin


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]